//////////////////////////////////////////////////////////////
// install.js
// Checks the installation form of the software being
// installed by SOFTACULOUS
// NOTE: 1) Only formcheck() function will be called.
//       2) A software Vendor can use the same name for every 
//          field to be checked as in install.xml . It can be
//          called using $('fieldname').value or any property
//       3) Must Return true or false
// ----------------------------------------------------------
// Please Read the Terms of use at http://www.softaculous.com
// ----------------------------------------------------------
// (c)Softaculous Inc.
//////////////////////////////////////////////////////////////

function formcheck(){
	
	//Check the Admin Email
	if(window.check_punycode){
		if(!check_punycode($('admin_email').value)){
			alert('{{err_ademail}}');
			return false;
		}
		return true;
	}
	
	return true;
};

// Update the in dir
function update_joomla54_indir(){
	
	if(joomla54_retries >= 5){
		return;
	}
	
	if(typeof jQuery('#softdirectory').val() == "undefined"){
		joomla54_retries++;
		setTimeout('update_joomla54_indir();', 500);
		return;
	}
	
	var softdirectory = jQuery('#softdirectory').val();
	
	if(softdirectory == 'joomla54'){
		jQuery('#softdirectory').val('joomla');
	}
}

var joomla54_retries = 0;
update_joomla54_indir();

jQuery(document).ready(function(){
	
	// Joomla requires password to be minimum 12 chars so generate random accordingly
	if(globals_rand_pass > 0){
		setTimeout('joomla54_rand_pass();', 500);
	}

	jQuery( ".generate-password" ).on( "click", function(){
		joomla54_rand_pass();
	});
	
});

function joomla54_rand_pass(){
	
	try{
		jQuery("#admin_pass").val(randstr(12, 1, globals_pass_strength));
		check_pass_strength();
	}
	catch(e){}
}